<?php /* Template Name: Tagless Posts */ ?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>" charset="<?php bloginfo('charset'); ?>" />
	<meta name="generator" content="Wordpress <?php bloginfo('version'); ?>" />
	<title>Tagless Post Finder</title>

	<style>
	#page { 
		width: 700px; 
  		margin: 50px 0px 0px 100px; 
	}		
	</style>

<?php wp_head(); ?>

	</head>
	
<body>
	<div id="page">
	<h2>Tagless Post Finder</h2>
    <p>Provided as a free courtesy by <a href="http://www.itswordpress.com/">It's WordPress</a>. This tool is provided without any support.  Please review our <a href="#disclaimer">disclaimer</a>. By using this tool you agree to all conditions, restrictions and disclaimers without exception.  
	<p>Only the first 25 items are displayed to minimized impact on database and server. As you add articles, they will be removed from this list (refresh page) and additional untagged Posts will be displayed.
	<br /><br />
        
	<?php query_posts('orderby=rand&order=asc	&showposts=-1&showposts=25'); ?>
    <?php if (have_posts()) : ?> 
    
    <ul>
	  <?php while (have_posts()) : the_post(); ?>
      <?php $tag = get_the_tags(); if (!$tag) { ?>
      <li><a href="<?php the_permalink(); ?>" target="_blank"><?php the_title(); ?></a>  [ <a href="<?php echo get_admin_url(); ?>post.php?post=<?php echo $post->ID ?>&action=edit" target="_blank">Edit</a> ]</li>
      <?php } ?>
      <?php endwhile; ?>
    </ul>
    
    <?php endif; ?>					
    
    <br><br>
	<a name="disclaimer"><strong>DISCLAIMER</strong></a>
    <p>There is no warranty for this tool, to the extent permitted by applicable law. It is provided "as is" without warranty of any kind, either expressed or implied. The entire risk as to the quality and performance of this tool is with you. Should the tool prove defective in any way, you assume the cost of all necessary servicing, repair, correction or loss of functionality, loss of revenue.</p>
	<p>In no event unless will there be liability to you for damages, including any general, special, incidental or consequential damages arising out of the use or inability to use this tool (including but not limited to loss of data or data being rendered inaccurate or losses sustained by your or other parties or a failure of the tool to operate with any other system).</p> 
</div>
</body>
	
<?php wp_footer(); ?>

</html>